<template>
  <td class="information">
    <label class="address-label">{{ $t('deposit.transaction_detail.address') }}: </label>
    <span class="address-content">{{ transaction.to_address }}</span>
    <div v-show="isShow" class="txid" :class="{'show': isShow}">
      <label>{{ $t('deposit.transaction_detail.txid') }}: </label>&nbsp;<div class="tx-link"><a class="link" target="_blank" :href="transaction | txExplore">{{ transaction.txid }}</a></div>
    </div>
    <i class="fa down-arrow" @click="toggle" :class="`${isShow ? 'fa-angle-up' : 'fa-angle-down' }`" aria-hidden="true"></i>
  </td>
</template>
<script>
export default {
  props: {
    transaction: {
      type: Object,
    }
  },
  data () {
    return {
      isShow: false,
    };
  },
  methods: {
    toggle () {
      this.isShow = !this.isShow;
    },
  },
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';
  .link {
    text-decoration: $link-decoration;
    color: $link-color;
    &:hover {
      text-decoration: $link-hover-decoration;
      color: $link-hover-color;
    }
  }
  .information {
    font-family: 'Roboto';
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    font-stretch: normal;
    line-height: 3.57;
    letter-spacing: normal;
    position: relative;
    max-width: 410px;
    label {
      color: #989898;
      margin: 0;
      width: 55px;
      line-height: 1;
      vertical-align: top;
    }
    .address-label {
      margin-top: 17px;
    }
    .address-content {
      margin-top: 17px;
      line-height: 1;
    }
    .txid {
      line-height: 1;
      margin-top: -10px;
      margin-bottom: 15px;
      overflow: hidden;
      max-height: 0;
      &.show {
        max-height: 100px;
      }
      transition: all 0.5s ease-out;
      label {
        vertical-align: top;
      }
      .tx-link {
        display: inline-block;
        max-width: calc(100% - 112px);
        overflow-wrap: break-word;
      }
    }
    span {
      margin-left: 5px;
      overflow-wrap: break-word;
      max-width: calc(100% - 112px);
      display: inline-block;
    }
    .down-arrow {
      font-family: FontAwesome;
      position: absolute;
      right: 30px;
      top: 20px;
      cursor: pointer;
    }
  }
</style>
